package controller

import (
	userAgentService "narasi-ahli-be/app/module/user_agent/service"
)

type Controller struct {
	UserAgent UserAgentController
}

func NewController(service userAgentService.UserAgentService) *Controller {
	return &Controller{
		UserAgent: NewUserAgentController(service),
	}
}
